<?php


function SetIndexWarning(&$warning, $reason=''){

  if (strpos($reason, 'from_out') !== FALSE){
    $warning .=<<<EOW
 <p>This page is displayed because of these reasons:
 <ul>
  <li>You are going to access directly.</li>
  <li>You are going to access through link from outside of our site.</li>
  <li>You are accessing with referer-disabled environment, including Android standard browser.</li>
  <li>Your download session has expired.</li>
 </ul>
 </p>
EOW;
  }
    
  if (strpos($reason, 'index') !== FALSE){
    $warning .=<<< EOW
    <p>The webpage (<b><a href="{$GLOBALS['http_dir_top']}/upld-index.php">{$GLOBALS['index_name']}</a></b>) through this link has <b>{$GLOBALS['contents_explanation']}</b> contents.
EOW;

    $warning .= ($GLOBALS['contents_age_restriction'])? "<br>Go ahead ONLY if you are grown-up and can take your own risk regarding to your actions inside." : "";

    $warning .=<<< EOW
 <br>And remember that
   <b>ALL contents are copyrighted automatically by Japanese law and the Berne Convention.</b></p>
EOW;
  }
}

//-----------------------------------------------
function SetError($disp_error='', $OPmode=''){

  $html = '<a name="error"><h2>Denial and Errors</h2></a>' . "\n";
  
  $error['access'] =<<<EOC
<a name="error_access"><h3>Denial of access</h3></a>

<p>If your host is matched on access denial list, you meet the error message as below when you tries to see documents or threads:
<blockquote><b>&quot;{$GLOBALS['message']['error-access-denied']}&quot;</b></blockquote>

<p>This control may be only on restricted contents. In this case, you meet error message as below:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-host']}&quot;</b></blockquote></p>

<p>Even if your access is denied, you can see lists, thumbnails, &quot;Requests and Announcement&quot; thread. And you can post to &quot;Dereguration of denial&quot; thread for your application.</p>

EOC;

  $error['proxy'] ='';
  if ($GLOBALS['access_denied_from_proxy'] || $GLOBALS['post_denied_from_proxy']){
    if ($OPmode == ''){
      $error['proxy'] =<<<EOC
<a name="error_proxy"><h3>Open Proxy</h3></a>

<p>If your host is juedged as open-proxy, you meet the error message as below when you tries to see documents or threads:
<blockquote><b>&quot;{$GLOBALS['message']['error-access-proxy']}&quot;</b></blockquote>

<p>In this case, you can post to &quot;Dereguration of denial&quot; thread to request your permanently access, <b>or you can use this form for immediately and temporary access</b>.

<p>Please submit the name of this site and your e-mail address.<br />
I will send e-mail including password for temporary access.<br />
Please note that your access configuration on this browser will be deleted.</p>

EOC;

    }else if ($OPmode == 'sendmail'){
      $error['proxy'] = '<h3>Access Application ongoing</h3><p>I have sent E-mail. Please receive it, and enter the address and password in the e-mail.';
    }else if ($OPmode == 'auth'){
      $error['proxy'] = '<h3>Access Application completed</h3><p>Temporary access is prepared. It is valid for '. $GLOBALS['tmpcookie_lifetime'] .' hours. Enjoy!</p>';
    }
    $error['proxy'] .= upld_disp::DispAccessApplicationForm($OPmode);
  }

  $error['post'] =<<<EOC
<a name="error_post"><h3>Denial of post</h3></a>

<p>If your host is matched on post denial list, you meet the error message as below when you tries to write into threads or operate your properties:
<blockquote><b>&quot;{$GLOBALS['message']['error-post-denied']}&quot;</b></blockquote>

<p>This control may be only on restricted contents. In this case, you meet error message as below:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-host']}&quot;</b></blockquote></p>

<p>Your browsing on threads and documents is not controlled, and you can post to &quot;Dereguration of denial&quot; thread for your application.</p>

EOC;

if (count($GLOBALS['taglist_restriction']) > 0){
   $error['restriction'] =<<<EOC
<a name="error_restriction"><h3>Restriction error</h3></a>

<p>You meet the error message as below when you tries to see resticted documents or threads without appropreate setting:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-tag']}&quot;</b></blockquote>
You can configure your setting against restriction on the <a href="{$GLOBALS['dir_bbs_html']}/upld-index.php">toppage</a>.</p>

<p>If your host is denied to access restricted contents, you can not set it.

<p>In this case, you can post to &quot;Dereguration of denial&quot; thread to request your permanently access.</b>.

EOC;

  $filter = $GLOBALS['obj_filter'];
  $error['restriction'] .= ($disp_error)? upld_disp::DispRestrictionForm($filter->cookie_restriction) : '';

}
else{
  $error['restriction'] ='';
}

   $error['upload'] =<<<EOC
<a name="error_upload"><h3>Limitation of upload</h3></a>

<p>There is upload limitation to prevent download-rush.
<br />The limitation is {$GLOBALS['maxsize_file_update_puser_pday']} [kB/24hour/user] and 
{$GLOBALS['maxsize_file_update_pday']} [kB/24hour].

<p>Please wait several hours for uploading if you meet this error.

EOC;

   $error['download'] =<<<EOC
<a name="error_download"><h3>Limitation of download</h3></a>

<p>There is upload limitation to prevent &quot;503 Service Temporary Unavailable&quot; error of webserver which is mainly caused by overload.
<br />The limitation for whole user is {$GLOBALS['maxsize_file_transfer_pday']} [MB/day] and {$GLOBALS['maxsize_file_transfer_phr']} [MB/hour].
<br />The limitation for each user exists too.

<p>Daily limitation will be reset at 0900 GMT (= 0000 JST) everyday, and hourly limitation will be reset at every 00 minutes. Please wait awhile.
EOC;

  if ($disp_error==''){
    $html .= $error['access'] . $error['proxy'] . $error['post'] . $error['restriction'] . $error['upload'] . $error['download'];
  }else{
    $html .= $error[$disp_error];
  }
  return $html;

}

//-----------------------------------------------
function SetRule(){
 
  $html =<<<EOC
<p>This notifications are mainly for special cases in this uploader, which can not be judged with common-sense.

<h2>About Users</h2>

<p>Users have privileges in their own pages, files and threads only.
<br>So please do not create user account if you do not plan to upload files or create your thread.
<br>I am going to delete user accounts who have never been dealt any files or threads near future.

<p>If you forget your password, please ask the me ({$GLOBALS['root_email']}).
<br>I can not read your password, but I can set new one.

<h2>About creation or upload of files</h2>

<p>Please upload <b>{$GLOBALS['contents_explanation']}</b> related contents.

<p>Please do not publish large amount of files at once or declare as limited time offer because they causes 503 (request overload) error.
<br>Some hosting service provider seems to make threshold of 503-error lower when the server gets 503.

<p>Adult contents are strictly prohibited by the hosting service provider.
<!-- <br>They answered that photographs and motion-pictures are included, but drawing are NOT included in Adult contents. -->
EOC;
    $genreString = "";
    if (count($GLOBALS['taglist_genre']) > 0){
        for($i = 0; $i < count($GLOBALS['taglist_genre']); $i++){
            $genreString .= '<li>' . $GLOBALS['taglist_genre'][$i][0];
            $genreString .= ' (' . $GLOBALS['taglist_genre'][$i][1] . ') &nbsp; '; 
        }

        $html .=<<<EOC
<a name="genre"><h2>Genre</h2></a>
<p>Authors can attach "genre tag" on files and threads to indicate its directivity.
<br>Viewers can look genre tags on files and threads.
<br>Author can choose 1 or more tags from below.
<ul>{$genreString}</ul>
EOC;
}

    $restrictionString = "";
    if (count($GLOBALS['taglist_restriction']) > 0){
        for($i = 0; $i < count($GLOBALS['taglist_restriction']); $i++){
            $restrictionString .= '<li>' . $GLOBALS['taglist_restriction'][$i][0];
            $restrictionString .= ' (' . $GLOBALS['taglist_restriction'][$i][1] . ') &nbsp; '; 
        }
        
        $html .=<<<EOC
<a name="restriction"><h2>Restriction Tag</h2></a>
<p>Authors can attach stronger "restriction tag" on files and threads to hide from viewers who does not want to see.
<br>Viewers have to set access control to watch files and threads with restriction tag (restricted contents).
<br>Author can choose 1 or more tags from list below.
<ul>{$restrictionString }</ul>

<p>These tags are used to hide from unwilling watch of the content.
<br>So please attach them ONLY if you feel your content is too much for average visiter of this site.
<br>Otherwise, all visiters may set their access control to "all tags", and restriction become meaningless.
<br>The exception is "Labia" and "Penis" on pictures. Please attach them if your picture includes them without mosaic.

EOC;
    }

    $html .=<<<EOC
<h2>About posting articles</h2>

<p>Please check general rules in other BBSs.
<br>Leakage of personal information, bully, pretense of others are prohibited.
<br>Violators will be blocked to post articles.

<p>The uploader may refuse your post if your article includes too many http-links or predefined NG words.
<br>Please contact me ({$GLOBALS['root_email']}) in such case.

<p>Please do not write your mail address in mail column, otherwise you will get tremendous amount of spam mail.

<p>Please set password if you would like to modify or delete messages later.
<br>The authoer of article can delete with evidence and modify articles.
<br>The owner of the thread can only delete articles with evidence.
<br>The administrator can delete without evidence and modify articles.

<p>You can identify yourself by adding "#" plus password after your name in name column.
For example, "Taro#hoge" will be translated as "Taro◆MvRbZL6NeQ" by password (your name does not concern).
<br>If you mis-write your password in mail-address column, there is no problem. 
Uploader will delete all characters after "#" in the column. 
EOC;

$html .= SetError();

   $html .=<<<EOC
<h2>About Copyrights</h2>

<p>Feel free to link wherever you want.
<br />But please note that all links into this site are led to notification page, so you can not embed contents into your sites.

<p>Never reproduce without permission from author (not me).
<br>I had paid much effort to make the uploader useful for Non-Japanese speakers. But "useful" NEVER means "easy to reproduce".
<br>Your reproduction makes my effort vain. Please do not forget.
EOC;

return $html;

}

//-----------------------------------------------
function SetApplicationMail($pass){
  $subject = 'Application of access to ' . $GLOBALS['index_name'];
  $message =<<<EOM
Hi dear user,

Thanks for your application of temporary access to {$GLOBALS['index_name']}.
Your password is "{$pass}".

This mail is automatically generated and sent according to requirement from user.
If you are not aware of this mail, please send me reply.

Regards,
Administrator of {$GLOBALS['index_name']}
EOM;

  return array($subject, $message);
}

?>
