<?php

function SetIndexWarning(&$warning, $reason=''){

  if (strpos($reason, 'from_out') !== FALSE){
    $warning .=<<<EOW
<p>以下の条件のいずれかに適合する場合、このページが表示されます。
  <ul>
    <li>外部サイトのリンクを辿ってのアクセス</li>
    <li>直接URLを入力してのアクセス</li>
    <li>リファラを送信しないブラウザ（Android標準ブラウザを含む）からのアクセス</li>
    <li>ダウンロードセッションが時間切れとなった場合</li>
   </ul>
</p>
EOW;
  }
    
  if (strpos($reason, 'index') !== FALSE){ 
    $warning .=<<<EOW
 <p>この先の Webpage (<b><a href="{$GLOBALS['http_dir_top']}/upld-index.php">{$GLOBALS['index_name']}</a></b>) には、
 <b>{$GLOBALS['contents_explanation']}</b>に関する内容が主に掲載されています。</p>
EOW;

    $warning .= ($GLOBALS['contents_age_restriction'])? "<p>年齢制限の掛かる内容が含まれておりますので、18歳未満の立ち入りを禁止します。</p>\n" : '';
  }
}

//-----------------------------------------------
function SetError($disp_error='', $OPmode=''){

  $html = '<a name="error"><h2>各種制御、およびエラーについて</h2></a>' . "\n";

  $error['access'] =<<<EOC
<a name="error_access"><h3>アクセス制限</h3></a>

<p>あなたのホストがアクセス制限対象となった場合は、ファイルやスレッド、掲示板の閲覧時に以下のメッセージが出ます。
<blockquote><b>「{$GLOBALS['message']['error-access-denied']}」</b></blockquote>

<p>閲覧制限コンテンツに対してのみアクセス制限が掛かっている場合もあります。その場合は以下のメッセージが出ます。
<blockquote><b>「{$GLOBALS['message']['op-restriction']['denied-host']}」</b></blockquote></p>

<p>この場合は 各種ページやサムネイルの閲覧に加えて「要望・報告」スレッドの閲覧と「規制解除申請」スレッドへの閲覧・投稿は可能ですので、アクセス制限解除の申請をお願いします。</p>
EOC;

  $error['proxy'] ='';
  if ($GLOBALS['access_denied_from_proxy'] || $GLOBALS['post_denied_from_proxy']){
    if ($OPmode == ''){
      $error['proxy'] =<<<EOC
<a name="error_proxy"><h3>公開プロキシ制限</h3></a>
あなたのホストが公開プロキシと判定された場合は、ファイルやスレッド、掲示板の閲覧時に以下のメッセージが出ます。
<blockquote><b>「{$GLOBALS['message']['error-access-proxy']}」</b></blockquote>

<p>この場合は「規制解除申請」スレッドへの投稿によるアクセス制限解除の申請に加え、下のフォームから即時かつ一時的な解除申請も可能です。</p>

<p>まず当サイト名とメールアドレスを記入し、送信してください。<br />
指定されたメールアドレスに対し、アクセス一時許可用のパスワードを送信します。<br />
このとき、設定されているアクセス権情報は消えてしまいますのでご注意下さい。</p>

EOC;

    }else if ($OPmode == 'sendmail'){
      $error['proxy'] = '<h3>公開プロキシ制限解除 確認</h3><p>メールを送信しました。<br />メールをご確認の上、先ほど記入したメールアドレスとメール内に記載されているパスワードを記入して下さい。</p>';
    }else if ($OPmode == 'auth'){
      $error['proxy'] = '<h3>公開プロキシ制限解除 完了</h3><p>一時アクセス権を設定しました。' . $GLOBALS['tmpcookie_lifetime'] . '時間有効です。</p>';
    }
    $error['proxy'] .= upld_disp::DispAccessApplicationForm($OPmode);
  }

$error['post'] =<<<EOC
<a name="error_post"><h3>投稿制限</h3></a>

<p>投稿制限対象となった場合は、スレッドへの投稿や所有するファイル・スレッドの操作、ユーザ情報操作時に以下のメッセージが出ます。
<blockquote><b>「{$GLOBALS['message']['error-post-denied']}」</b></blockquote>

<p>閲覧制限スレッドに対してのみ投稿制限が掛かっている場合もあります。その場合は以下のメッセージが出ます。
<blockquote><b>「{$GLOBALS['message']['op-restriction']['denied-host']}」</b></blockquote></p>

<p>閲覧に関する制限はありません。また「規制解除申請」スレッドへの投稿は可能ですので、解除申請をお願いします。</p>

EOC;

if (count($GLOBALS['taglist_restriction']) > 0){
  $error['restriction'] =<<<EOC
<a name="error_restriction"><h3>閲覧制限</h3></a>

<p>閲覧設定を行わずに閲覧制限コンテンツにアクセスしようとした場合、以下のメッセージが出ます。
<blockquote><b>「{$GLOBALS['message']['op-restriction']['denied-tag']}」</b></blockquote>
<a href="{$GLOBALS['http_dir_top']}/upld-index.php">トップページ</a>等で閲覧設定を行うことにより閲覧可能となりますので、自己責任で設定願います。</p>

<p>ただし閲覧制限コンテンツに対してアクセス制限が掛かっている場合は、閲覧設定を行えません。
この場合は「規制解除申請」スレッドへの投稿による解除申請をお願いします。</p>

EOC;
  $filter = $GLOBALS['obj_filter'];
  $error['restriction'] .= ($disp_error)? upld_disp::DispRestrictionForm($filter->cookie_restriction) : '';

}
else{
  $error['restriction'] ='';
}

   $error['upload'] =<<<EOC
<a name="error_upload"><h3>アップロード量制限</h3></a>

<p>大量または大容量のファイルアップロードによるダウンロードの殺到を防ぐため、アップロードファイルの合計サイズに制限を設けています。
<br />上限は24時間辺り１ユーザで {$GLOBALS['maxsize_file_update_puser_pday']} kB、
全ユーザで {$GLOBALS['maxsize_file_update_pday']} kB です。

<p>このエラーが出た場合は、しばらく待機の上でアップロード願います。

EOC;

   $error['download'] =<<<EOC
<a name="error_download"><h3>ダウンロード量制限</h3></a>

<p>過負荷によるWebサーバの障害（503 Service Temporary Unavailable）を防ぐため、
利用者全体でのダウンロードファイル合計サイズに上限を設けています。
<br />上限は全ユーザで１日辺り{$GLOBALS['maxsize_file_transfer_pday']} MB、１時間辺り{$GLOBALS['maxsize_file_transfer_phr']} MBです。また、１ユーザあたりの上限もあります。
<br /> この値を超えるとファイルの閲覧が出来なくなります。

<p>日付や時間が変わればリセットされますので、しばらくお待ち下さい。

EOC;

  if ($disp_error==''){
    $html .= $error['access'] . $error['proxy'] . $error['post'] . $error['restriction'] . $error['upload'] . $error['download'];
  }else{
    $html .= $error[$disp_error];
  }
  return $html;
}

//-----------------------------------------------
function SetRule(){

$html =<<<EOC
<p>一般常識だけでは判断しづらい部分について明記します。

<h2>ユーザについて</h2>

<p>ユーザアカウントを取得しても、自身を所有者とするファイルやスレッド以外に特段の権限はありません。
<br>ファイルやスレッドを作成する予定が無い場合はユーザアカウントの作成は必要ありませんので、不要なアカウントを作成しないようお願いします。

<p>ログイン用のパスワードを失念された場合は、管理者（{$GLOBALS['root_email']}）までご連絡ください。
<br>管理者にもパスワードは見えませんが、新しい仮パスワードを発行いたします。

<!-- <p>また、メール受け取りを希望される方は管理者（{$GLOBALS['root_email']}）までご連絡下さい。 -->

<h2>ファイルの作成・アップロードについて</h2>

<p>{$GLOBALS['contents_explanation']}に関する内容であれば構いません。

<p>大量のアップロードや限定公開はご遠慮下さい。ダウンロードの殺到によってサーバ負荷が上がり、503（Service Temporary Unavailable）エラーが発生するためです。
<br>一部共用サーバにおいては、一度 503 エラーを発生させると他の共有ユーザを守るため サーバ管理者が503発生の負荷閾値を下げることがあります。それにより 503 エラーが更に発生しやすくなりますので、ご理解をお願いいたします。
EOC;
    $genreString = "";
    if (! empty($GLOBALS['taglist_genre'])){
        for($i = 0; $i < count($GLOBALS['taglist_genre']); $i++){
            $genreString .= '<li>' . $GLOBALS['taglist_genre'][$i][0];
            $genreString .= ' (' . $GLOBALS['taglist_genre'][$i][1] . ') &nbsp; '; 
        }

        $html .=<<<EOC
<a name="genre"><h2>ジャンルタグ</h2></a>
<p>作者は作品やスレッドに対して「ジャンルタグ」を付けることが出来ます。
<br>閲覧者は各作品・スレッドに付けられたジャンルタグを見ることが出来ます。
<br>ジャンルタグは下のリストから１つまたは複数を選択できます。
<ul>{$genreString}</ul>
EOC;
    }

    $restrictionString = "";
    if (! empty($GLOBALS['taglist_restriction'])){
        for($i = 0; $i < count($GLOBALS['taglist_restriction']); $i++){
            $restrictionString .= '<li>' . $GLOBALS['taglist_restriction'][$i][0];
            $restrictionString .= ' (' . $GLOBALS['taglist_restriction'][$i][1] . ') &nbsp; '; 
        }
        
        $html .=<<<EOC
<a name="restriction"><h2>閲覧制限タグ</h2></a>
<p>作者が作品やスレッドに対して「閲覧制限タグ」を付けることが出来ます。
<br>閲覧制限タグの付いた作品やスレッドを「閲覧制限コンテンツ」と呼びます。
<br>閲覧制限コンテンツを見るためには、指定されているタグを全て「アクセス設定」する必要があります。
<br>そうしない限り、閲覧制限コンテンツのリンクやサムネイルは表示されません（ファイル名自体は見えます）。
<br>閲覧制限タグは、下のリストから１つまたは複数を選択できます。
<ul>{$restrictionString }</ul>

<p>また、アクセスおよび投稿に対するIP制限を、閲覧制限コンテンツに対して別枠で行います。

<p>閲覧制限タグに関する大まかな基準は以下の通りとします。
<ul>
<li>性器を描写し、モザイクが無いか薄い絵には「女性器」「男性器」タグを付けて下さい。
<li>逆に文章作品で「女性器」「男性器」タグを使う機会は少ないと思いますが、どのみち殆どの人は制限を解除していると思います。
<li>それ以外の閲覧制限タグは、「このサイトをいつも見ている人でも引きそう」と思われる作品にのみ付けるようにしてください。
</ul>
<br>大半の作品に閲覧制限タグが付くと、見る側も制限の解除を行うようになり、「見たくない人には見せない」という本来の目的が果たせなくなります。ご協力をお願いします。
<p>

EOC;
    }

   $html .=<<<EOC
<h2>スレッドの作成について</h2>

<p>「はじめまして」を題名とするスレッドが非常に多くあり混乱を招きやすいので、
題名には「はじめまして」以外を使うようにお願いします。

<h2>スレッドへの投稿について</h2>

<p>掲示板の一般的なルールに即します。
<br>個人情報の書き込み、度を越した中傷、なりすましなど、常識的にダメなものはダメです。
<br>違反者には重要度に応じて警告、投稿禁止、アクセス禁止などの措置を採ります。

<p>また、大量のリンクを含む場合、予め設定したNGワードを含む場合は spam と判断して投稿を拒否することがあります。管理者（{$GLOBALS['root_email']}）にご連絡ください。

<p>トリップに対応しています。名前欄に「太郎#hoge」のように名前＋#＋パスワードを記入すると、パスワードを元に「太郎◆MvRbZL6NeQ」のように変換されます（名前は関係しません）。
<br>トリップ文字列は２ちゃんねる互換ですが、12桁には対応していません。
<br>パスワード漏れ防止のため、メール欄の "#" 以降は削除されます。

<p>御自身のメールアドレスを記載すると、spam が届くなどの弊害がありえます。
<br>一時的なもの以外のメールアドレスをメール欄に記載された場合の責任は負いかねます。

<p>投稿時にパスワードを設定していれば、投稿者による修正・削除を行えます。
<br>また、スレッドの所有者は記事の削除を行えます（修正は出来ません）。
<br>投稿者およびスレッド所有者が削除した場合は、「デリート完了」の文字に置き換えられます。
<br>管理者は削除・修正に加えて記事を完全に削除できます。この場合はレスの番号がずれます。

EOC;

$html .= SetError();

$html .=<<<EOC
<h2>著作権について</h2>

<p>リンクはご自由にどうぞ。外部サイトのリンクを辿ってアクセスした場合は、必ず警告のページが出るようにしております。
<br />そのためトップページ以外の箇所に張って頂いても全く問題ありませんが、img タグによる画像の埋め込みは出来ません。ご了承ください。

<p>無断転載は当然却下です。各作者にご連絡ください。

EOC;

return $html;
}

//-----------------------------------------------
function SetApplicationMail($pass){
  $subject = 'アクセスパスワード（' . $GLOBALS['index_name'] . '）';
  $message =<<<EOM
{$GLOBALS['index_name']} への一時アクセス申請を承りました。
パスワードは「{$pass}」です。

このメールはユーザの申請に基づいて送付しております。
御心当たりが無く 送付を希望されない場合は、お手数ですが返信をお願い致します。
EOM;

  return array($subject, $message);
}

?>
