<?php

function SetIndexWarning(&$warning, $reason=''){
  if (strpos($reason, 'from_out') !== FALSE){
    $warning .=<<<EOW
<p>在以下任一情況符合時，將會出現本頁面：
  <ul>
    <li>由其他站點進入本站</li>
    <li>直接輸入鏈結進入本站</li>
    <li>在未開啟Referer（包括Android標準瀏覽器）的情況下進入本站</li>
    <li>下載Session已過期</li>
   </ul>
</p>
EOW;

  }
    
  if (strpos($reason, 'index') !== FALSE){
    $warning .=<<< EOW
 <p>欲瀏覽的網頁(<b><a href="{$GLOBALS['http_dir_top']}/upld-index.php">{$GLOBALS['index_name']}</a></b>)含有具
 <b>{$GLOBALS['contents_explanation']}</b>的內容。
EOW;
    
    $warning .= ($GLOBALS['contents_age_restriction'])? "<br />\n本站含限制級內容；18歲以下人士嚴禁進入本站。\n" : '';

    $warning .=<<< EOW
 <br>請注意：<b>所有作品均受版權保護。</b></p>
EOW;
  }
}

//-----------------------------------------------
function SetError($disp_error='', $OPmode=''){

  $html = '<a name="error"><h2>有關各種限制與錯誤</h2></a>' . "\n";

  $error['access'] =<<<EOC
 <a name="error_access"><h3>訪問限制</h3></a>

 <p>若你的IP在禁止訪問列表中，在打開文檔或瀏覽主題時，將出現以下訊息。
 <blockquote><b>「{$GLOBALS['message']['error-access-denied']}」</b></blockquote>

 <p>本站亦有只對某些IP瀏覽具瀏覽限制的文件的能力作出限制。這情況下將出現以下訊息。
 <blockquote><b>「{$GLOBALS['message']['op-restriction']['denied-host']}」</b></blockquote></p>

 <p>這時請進入「規制解除申請」的貼文，提出解除鎖定的申請。</p>
EOC;

  $error['proxy'] ='';
  if ($GLOBALS['access_denied_from_proxy'] || $GLOBALS['post_denied_from_proxy']){
    if ($OPmode == ''){
      $error['proxy'] .=<<<EOC
 <a name="error_proxy"><h3>公開代理服務器限制</h3></a>
 若你的IP被認定為公開代理服務器，在打開文檔或瀏覽主題時，將出現以下訊息。
 <blockquote><b>「{$GLOBALS['message']['error-access-proxy']}」</b></blockquote>

 <p>同樣地，這時請進入「規制解除申請」的貼文，提出解除鎖定的申請。另外，你亦可以透過下方馬上得到暫時性瀏覽權。</p>
 
 <p>請輸入本站名字及電郵，然後送出申請。<br />
 送出申請後，會向該電郵送出具暫時性瀏覽權的電郵。<br />
 請注意，送出申請時，會同時刪除已設定的瀏覽權資料。</p>

EOC;

    }else if ($OPmode == 'sendmail'){
      $error['proxy'] = '<h3>解除公開代理服務器限制 確認頁</h3><p>郵件已送出。<br />請輸入電郵地址與送往該地址的電郵中的密碼：</p>';
    }else if ($OPmode == 'auth'){
      $error['proxy'] = '<h3>解除公開代理服務器限制 完成</h3><p>已得到暫時性瀏覽權。時限為' . $GLOBALS['tmpcookie_lifetime'] . '小時。</p>';
    }
    $error['proxy'] .= upld_disp::DispAccessApplicationForm($OPmode);
  }

  $error['post'] =<<<EOC
 <a name="error_post"><h3>禁止投稿</h3></a>
 <p>若用戶被禁止投稿，在回帖或對自己的檔案、主題或用戶資料進行操作時，將出現以下訊息。
 <blockquote><b>「{$GLOBALS['message']['error-post-denied']}」</b></blockquote>
 <p>用戶亦可能被禁止在具瀏覽限制的貼文回覆。此時將出現以下訊息。
 <blockquote><b>「{$GLOBALS['message']['op-restriction']['denied-host']}」</b></blockquote></p>
 <p>不過，此類用戶可正常瀏覽所有內容。同樣地，這時請進入「規制解除申請」的貼文，提出解除鎖定的申請。</p>

EOC;

  if (count($GLOBALS['taglist_restriction']) > 0){
    $error['restriction'] =<<<EOC
 <a name="error_restriction"><h3>瀏覽限制</h3></a>

 <p>若在未設定瀏覽限制時便打開具瀏覽限制的文件、將出現以下訊息。
 <blockquote><b>「{$GLOBALS['message']['op-restriction']['denied-tag']}」</b></blockquote>
 <a href="{$GLOBALS['http_dir_top']}/upld-index.php">主頁</a>等頁面均可設定瀏覽限制、完成後便可正常打開。</p>

 <p>不過，若同時被禁止打開具瀏覽限制的文件，便不能改變其設定。
 這時請進入「規制解除申請」的貼文，提出解除鎖定的申請。</p>

EOC;

    $filter = $GLOBALS['obj_filter'];
    $error['restriction'] .= ($disp_error)? upld_disp::DispRestrictionForm($filter->cookie_restriction) : '';

  }
  else{
    $error['restriction'] ='';
  }
  
  $error['upload'] =<<<EOC
 <a name="error_upload"><h3>上傳限制</h3></a>
 <p>為防止由大量上傳或上傳大檔案引致的下載湧流，本站對每天總上傳量作出了限制。
 <br />上限為每天每用戶 {$GLOBALS['maxsize_file_update_puser_pday']} kB、
 以及每天所有用戶總計 {$GLOBALS['maxsize_file_update_pday']} kB。
 <p>出現此錯誤時，請稍後再上傳檔案。

EOC;

  $error['download'] =<<<EOC
 <a name="error_download"><h3>下載限制</h3></a>
 <p>為防止服務器負荷過大而出現503錯誤，本站對全用戶的下載量均作出了限制。
 <br />上限為每天全用戶{$GLOBALS['maxsize_file_transfer_pday']} MB，以及每小時全用戶{$GLOBALS['maxsize_file_transfer_phr']} MB。同時，每個用戶亦有相似的下載上限。
 <br />
 <p>每天下載上限會在日本當地的換日時間重設。每小時下載上限則在00分重設。
EOC;

  if ($disp_error==''){
    $html .= $error['access'] . $error['proxy'] . $error['post'] . $error['restriction'] . $error['upload'] . $error['download'];
  }else{
    $html .= $error[$disp_error];
  }
  return $html;
}

//-----------------------------------------------
function SetRule(){

$html =<<<EOC
 <p>此處將詳述單憑常識難以判斷的規則。

 <h2>有關用戶</h2>

 <p>本站的註冊用戶除了可投稿和發表屬於自己的主題外，並無其他特權。
 <br>因此，若你不打算投稿，請勿註冊，以節省系統資源。
 <br>久未投稿的用戶將會被刪除。

 <p>若用戶忘記了密碼、請與管理員（{$GLOBALS['root_email']}）聯絡。
 <br>管理員並無法為你取回密碼，因此你的密碼將會被重設。

 <!-- <p>另外，欲收取電郵的用戶亦請與管理員（{$GLOBALS['root_email']}）聯絡。 -->

 <h2>有關檔案上傳</h2>

 <p>請只上傳與{$GLOBALS['contents_explanation']}相關的內容。

 <p>請勿大量上傳或限時公開文檔。短時間的下載湧流會導致服務器負荷急增，引致503（Service Temporary Unavailable）錯誤。
 <br>不幸地，每次發生503錯誤，將會導致下次出現503錯誤的機會增加，因此請用戶自律。
EOC;
  $genreString = ""; 
  if (! empty($GLOBALS['taglist_genre'])){
    for($i = 0; $i < count($GLOBALS['taglist_genre']); $i++){
      $genreString .= '<li>' . $GLOBALS['taglist_genre'][$i][0];
      $genreString .= ' (' . $GLOBALS['taglist_genre'][$i][1] . ') &nbsp; '; 
    }
    
    $html .=<<<EOC
 <a name="genre"><h2>類型標籤</h2></a>
 <p>作者可對作品或主題附上一個或多個「類型標籤」，標註作品類型。
 <br>所有人均可看見這標籤。
 <br>目前可選擇的類型標籤有以下數種：
 <ul>{$genreString}</ul>
EOC;
  }

  $restrictionString = "";
  if (! empty($GLOBALS['taglist_restriction'])){
    for($i = 0; $i < count($GLOBALS['taglist_restriction']); $i++){
      $restrictionString .= '<li>' . $GLOBALS['taglist_restriction'][$i][0];
      $restrictionString .= ' (' . $GLOBALS['taglist_restriction'][$i][1] . ') &nbsp; '; 
    }
        
    $html .=<<<EOC
 <a name="restriction"><h2>瀏覽限制標籤</h2></a>
 <p>作者亦可對作品或主題附上一個或多個「瀏覽限制標籤」。
 <br>瀏覽限制的主要作用為，讓用戶過濾過於激進的內容。
 <br>用戶若要打開具瀏覽限制的文件，需先對該特定標籤進行設定，解除鎖定。
 <br>未解除的話，將不會顯示該文件的連結及預覽圖（只會顯示文件名）。
 <br>瀏覽限制標籤如下所列：
 <ul>{$restrictionString }</ul>

 <p>注意：瀏覽限制的IP限制與投稿和訪問的限制是獨立的。

 <p>瀏覽限制標籤的使用標準如下：
 <ul>
 <li>具男/女性器官的文章或未打碼的圖片，請務必使用相關的標籤。
 <li>其他標籤請酌量使用，尤其當你認為普遍觀眾會無法接受時。
 </ul>
 <br>注意：請勿故亂使用瀏覽限制標籤。此舉將使此標籤失去原有的功能。
 <p>

EOC;
  }

  $html .=<<<EOC
 <h2>有關建立主題</h2>

 <p>請勿建立標題如「大家好」之類的主題，以免版面混亂。

 <h2>有關發表貼文</h2>

 <p>論壇的一般規則亦適用於本論壇。
 <br>公開個人資料，人身攻擊，偽裝他人等行為是禁止的。
 <br>違反規則的用戶會根據嚴重程度實施警告，禁止投稿，甚至禁止訪問等懲罰。

 <p>另外，含過量鏈結或禁詞的內容將無法發表。如有問題，請與管理員（{$GLOBALS['root_email']}）聯絡。

 <p>本站的論壇已加入tripcode功能，用以識別用戶真偽。
 <br>只需在用戶名稱欄裡輸入如「太郎#hoge」的名字（格式為名字 + "#" + 密碼），便能生成如「太郎◆MvRbZL6NeQ」的名字，得到一個獨立的識別碼（密碼生成與名字無關）。
 <br>tripcode與2chan的算法相同，但不支援12字元以上的密碼。
 <br>另外，為防止密碼泄漏，電郵欄中"#"號以後的文字會被自動刪除。

 <p>請避免將常用的電郵地址記載在電郵欄中，以免受垃圾電郵等滋擾。

 <p>只要在回帖時設定密碼，便可以用此密碼編輯或刪除該貼。
 <br>樓主在特殊情況下是可以刪帖的（但不能編輯貼文）。
 <br>另外，管理員擁有修改和完全刪除貼文的權力。

EOC;

  $html .= SetError();

  $html .=<<<EOC
 <h2>關於版權</h2>

 <p>本站並不禁止外鏈，包括主頁及一切頁面。
 <br />但由於從本站外進入時會出現提示頁面，因此無法在本站外嵌入圖片。

 <p>警告：嚴禁擅自轉載本站內容。轉載前請務必先取得原作者同意。

EOC;

  return $html;
}

//-----------------------------------------------
function SetApplicationMail($pass){
  $subject = '你在（' . $GLOBALS['index_name'] . '）的申請';
  $message =<<<EOM
 你在{$GLOBALS['index_name']} 的暫時性申請已被接納。
 你的密碼為「{$pass}」。

 此電郵乃根據用戶的申請自動送遞。
 若然你並未進行申請，請回覆此電郵通知管理員。
EOM;

  return array($subject, $message);
}

?>
